Overview
POST
/monitoring/sitesmonitoringCreate sites
Create a record in sites.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- siteGroupIdstring
- namestring
- slugstring
- descriptionoptionalstring?
- displayOrderoptionalinteger
Example
{
"siteGroupId": "string",
"name": "string",
"slug": "string",
"description": "string",
"displayOrder": 0
}Responses
201
sites
- idstring
- siteGroupIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- namestring
- slugstring
- descriptionstring?
- displayOrderinteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"siteGroupId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"name": "string",
"slug": "string",
"description": "string",
"displayOrder": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/monitoring/sites" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"siteGroupId": "string",
"name": "string",
"slug": "string",
"description": "string",
"displayOrder": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/sites", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"siteGroupId\": \"string\",\n \"name\": \"string\",\n \"slug\": \"string\",\n \"description\": \"string\",\n \"displayOrder\": 0\n}",
});
const data = await res.json();